ghc-7.4.1: The GHC API

Safe Haskell | Safe-Infered

DriverPhases

# Documentation

data HscSource

Constructors

HsSrcFile |
HsBootFile |
ExtCoreFile |

Instances

Eq HscSource |
Ord HscSource |
Show HscSource |

isHsBoot :: HscSource -> Bool

hscSourceString :: HscSource -> String

data Phase

Constructors

Unlit HscSource |
Cpp HscSource |
HsPp HscSource |
Hsc HscSource |
Ccpp |
Cc |
Cobjc |
Cobjcpp |
HCc |
Splitter |
SplitAs |
As |
LlvmOpt |
LlvmLlc |
LlvmMangle |
CmmCpp |
Cmm |
MergeStub |
StopLn |

Instances

Eq Phase |
Show Phase |
Outputable Phase |

happensBefore :: Phase -> Phase -> Bool

eqPhase :: Phase -> Phase -> Bool

anyHsc :: Phase

isStopLn :: Phase -> Bool

startPhase :: String -> Phase

phaseInputExt :: Phase -> String

isHaskellishSuffix, isDynLibSuffix, isHaskellUserSrcSuffix, isObjectSuffix, isExtCoreSuffix, isCishSuffix, isHaskellSrcSuffix :: String -> Bool

isSourceSuffix :: String -> Bool

isHaskellishFilename, isSourceFilename, isDynLibFilename, isHaskellUserSrcFilename, isObjectFilename, isExtCoreFilename, isCishFilename, isHaskellSrcFilename :: FilePath -> Bool